unit uMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  clipbrd, ExtCtrls, Menus, StdCtrls, ComCtrls;


type
  TfrmMain = class(TForm)
    edtCollectedData: TRichEdit;
    mmMain: TMainMenu;
    mmFile: TMenuItem;
    mmNewFile: TMenuItem;
    mmSaveFile: TMenuItem;
    N1: TMenuItem;
    mmEnd: TMenuItem;
    tmrCollectedData: TTimer;
    SaveDialog: TSaveDialog;
    mmHelp: TMenuItem;
    procedure tmrCollectedDataTimer(Sender: TObject);
    procedure mmNewFileClick(Sender: TObject);
    procedure mmSaveFileClick(Sender: TObject);
    procedure mmEndClick(Sender: TObject);
    procedure mmHelpClick(Sender: TObject);
  private
    CollectedData, LastClipData: String;

  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

uses uAbout;

{$R *.DFM}

procedure TfrmMain.tmrCollectedDataTimer(Sender: TObject);
begin
     try
     begin
             if ((Clipboard.HasFormat(CF_TEXT)) and
                 (Clipboard.AsText <> LastClipData)) then
             begin
                 LastClipData := Clipboard.AsText;
                 CollectedData := CollectedData + ''#13#10#13#10'' + LastClipData;
                 edtCollectedData.Lines.Text := CollectedData;
             end;
     end;
     except
        {ɭԦhӵ{ϥΨtΰŶK|y~AL
         oӿ~OSYAvT{u@}
     end;
end;

procedure TfrmMain.mmNewFileClick(Sender: TObject);
begin
     CollectedData := '';
     edtCollectedData.Lines.Text := '';
end;

procedure TfrmMain.mmSaveFileClick(Sender: TObject);
begin
      SaveDialog.DefaultExt := String('txt');
      if (SaveDialog.Execute) then
      begin
           edtCollectedData.Lines.SaveToFile(SaveDialog.FileName);
      end;     
end;


procedure TfrmMain.mmEndClick(Sender: TObject);
begin
     Application.Terminate;
end;

procedure TfrmMain.mmHelpClick(Sender: TObject);
begin
     frmAbout.ShowModal;
end;

end.
